Bug 459991 - nash-hotplug goes into tight loop on firmware load request
nash-hotplug goes into tight loop on firmware load request
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
8
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-25 10:34 EDT by James Bottomley
Modified: 2009-01-09 01:44 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:44:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bottomley 2008-08-25 10:34:39 EDT
Description of problem:

Trying to boot FC8 with an aic94xx based system, the aic94xx driver won't load because its firmware is not loaded.

Have verified that the firmware is present in /lib/firmware.  Also verified that it can be loaded manually (by putting bash in the initrd).

What seems to happen is that nash-hotplug goes into an endless loop when it sees the firmware request.  Putting ps into the initrd shows it to be eating up CPU cycles at roughly the same time as the wall clock.

Additionally, when the aic94xx firmware is loaded manually, the root device doesn't appear:  Further evidence that nash-hotplug hasn't seen the device creation event.


Version-Release number of selected component (if applicable):

6.0.52-2.fc9

How reproducible:

All the time

Steps to Reproduce:
1. boot with aic94xx as root

Additional info:

This situation in an initrd is almost impossible to debug because of the monolithic nature of nash.  This boot system needs to be dumped in the nearest landfill where it belongs and standard system components (which are actually debuggable) used instead.

Just by way of illustration, the system will boot if I make debian mkinitramfs build the initrd.  The ramdisk that does this, including bash and a host of nice debugging tools, is only 50% bigger than the RH/nash one.
Comment 1 Peter Jones 2008-08-25 10:41:29 EDT
What kernel are you using here?
Comment 2 James Bottomley 2008-08-25 11:02:46 EDT
The latest: 2.6.24.14-69.fc8
Comment 3 Bug Zapper 2008-11-26 06:07:10 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-01-09 01:44:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.